New Search

Col Element Remote Code Execution Vulnerability (CVE-2012-1876)

oval:org.mitre.oval:def:15539

Microsoft Internet Explorer 6 through 9 and 10 Consumer Preview does not properly handle objects in memory which allows remote attackers to execute arbitrary code by attempting to access a nonexistent object leading to a heap-based buffer overflow aka "Col Element Remote Code Execution Vulnerability" as demonstrated by VUPEN during a Pwn2Own competition at CanSecWest 2012.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows XP
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2012-1876
Product(s):
  • Microsoft Internet Explorer 7
  • Microsoft Internet Explorer 6
  • Microsoft Internet Explorer 8
  • Microsoft Internet Explorer 9